%define rver 0.41-4

Summary:	Real-time patchable audio and multimedia processor
Name:		pd
Version:	%(echo %rver|tr '-' '.')
Release:	%mkrel 4
License:	BSD
Group:		Sciences/Other
URL:		http://www.puredata.org
Source0:	http://downloads.sourceforge.net/pure-data/%{name}-%{rver}.src.tar.xz
Patch0:		pd-0.41-4-tcl86.patch
BuildRequires:	tcl >= 8.5
BuildRequires:	tcl-devel >= 8.5
BuildRequires:	tk >= 8.5
BuildRequires:	tk-devel >= 8.5
BuildRequires:	X11-devel
BuildRequires:	jackit-devel
BuildRequires:	libalsa-devel
BuildRequires:	fftw3-devel
BuildRequires:	lib64portaudio-devel
Requires:	tcl >= 8.5
Requires:	tk >= 8.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Pd gives you a canvas for patching together modules that analyze, process,
and synthesize sounds, together with a rich palette of real-time control  
and I/O possibilities.  Similar to Max (Cycling74) and JMAX (IRCAM).  A   
related software package named Gem extends Pd's capabilities to include   
graphical rendering.

%package devel
Summary:	Development files for Pure Data
Group:		Development/Libraries

%description devel
Development files for Pure Data.

%prep
%setup -q -n %{name}-%{rver}
%patch0 -p1 -b .tcl86
sed -i -e 's,doc/,share/%{name}/doc/,g' src/s_main.c src/u_main.tk

%build
pushd src
autoconf
export CPPFLAGS="%{optflags} -I%{_includedir}/fftw3 -I%{_includedir}/portaudio"
%configure2_5x \
	--enable-jack \
	--enable-alsa \
	--enable-portaudio

%make
popd

%install
rm -rf %{buildroot}

%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_mandir}/man1
%__mkdir_p %{buildroot}%{_includedir}/%{name}
%__mkdir_p %{buildroot}%{_datadir}/%{name}

%__install -s -m 755 bin/pd %{buildroot}/%{_bindir}
%__install -s bin/pdsend bin/pdreceive %{buildroot}/%{_bindir}
%__install -s bin/pd-gui bin/pd-watchdog %{buildroot}/%{_bindir}
%__install bin/pd.tk %{buildroot}/%{_bindir}

%__install src/*.h %{buildroot}/%{_includedir}/%{name}
%__cp -pr doc/ %{buildroot}%{_datadir}/%{name}

%__install -m 644 man/* %{buildroot}/%{_mandir}/man1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt LICENSE.txt
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}


%changelog
* Sat Sep 30 2017 bb2 <bb2> - 0.41.4-4pclos2017
- rebuild against updates

* Tue Aug 15 2017 bb2 <bb2> - 0.41.4-3pclos2017
- rebuild against updates

* Wed Nov 23 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 0.41.4-2pclos2011
- Rebuild for x86_64

* Sat Sep 04 2010 Texstar <texstar at gmail.com> 0.41.4-1pclos2010
- recreate missing file

